Bug 231370 - installer doesn't remove legacy hardware RAID tattooing on drives
installer doesn't remove legacy hardware RAID tattooing on drives
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-07 16:52 EST by Need Real Name
Modified: 2008-05-06 15:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:19:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2007-03-07 16:52:34 EST
Description of problem:
Currently anaconda can't properly recognize an existing software RAID-1 root
partition for upgrading if the drives were ever been used in a hardware RAID
(such as Promise RAID using motherboard support). The nodmraid option has to be
used to prevent dmraid from getting confused by the residual tattooing left on
the drives by their previous use in a hardware RAID-1. The Fedora installer
should provide some method to remove this residual tattooing so that future
upgrades can be done without resorting to nodmraid.

Version-Release number of selected component (if applicable):


How reproducible:
Always.


Steps to Reproduce:
1. On a machine with motherboard RAID support and two sata drives, configure the
two drives in the BIOS as a RAID-1 mirror. After the drives have been
synchronized as a RAID-1 mirror, disable the motherboard RAID in the BIOS so the
drives are treated as separate devices again.
2.Boot the FC5 installer with the nodmraid option, create RAID-1 partitions in
DiskDruid using software raid partitions on each drive and install FC5.
3.Boot the FC6 installer without the nodmraid option.
  
Actual results:
The FC6 installer can't find the FC5 installation on the software RAID-1
partition unless nodmraid is used.

Expected results:
The FC6 installer ought to be bright enough to recognize that although dmraid
sees the legacy tattooing left on the drives from the hardware raid usage that
these no longer are being used that way. An option should be presented to the
user that would allow the residual hardware RAID tattoing to be removed from
these drives (since it is no longer used).

Additional info:
Comment 1 Bug Zapper 2008-04-04 02:28:38 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 15:19:40 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.